## gpspm 1.36.5-2

=== maemo/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# pandora port - notaz
# Maemo port - Figa, Javispedro, Luiscesjr, Bonapart

# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = maemo.o main.o cpu.o memory.o video.o input.o sound.o gui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o            
BIN       = gpspm

# Platform specific definitions 

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
CFLAGS     += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
CFLAGS     += -ggdb
CFLAGS     += -O2
CFLAGS     += -DMAEMO

# expecting to have PATH set up to get correct sdl-config first
CFLAGS     += `sdl-config --cflags`	-I. $(shell sdl-config --cflags)	$(shell pkg-config --cflags hildon-1)
LIBS       += `sdl-config --libs`	-lz $(shell sdl-config --libs)	-I. $(shell pkg-config --libs hildon-1)
LIBS       += -ldl -lpthread -lz 

# Compilation:

all:	$(BIN)

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN)

# ----------- release -----------

install: gpspm
	install gpspm $(DESTDIR)/opt/gpsp
	install conf.gpsp $(DESTDIR)/opt/gpsp
	install conf_ps.gpsp $(DESTDIR)/opt/gpsp
	install game_config.txt $(DESTDIR)/opt/gpsp


rel: gpsp gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
	rm -rf out
	mkdir out
	cp $^ out/

## gpspm 1.36.5-1

=== debian/changelog ===
gpspm (1.36.5-1) unstable; urgency=low

  * Initial release 

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 05:54:51 -0500

=== debian/control ===
Source: gpspm
Section: user/games
Priority: extra
Maintainer: Luiz Mendonca <luiscesjr@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: gpspm
Architecture: armel
Depends: libhildon-1, gpspgui
Description: gpSP GameBoyAdvance emulator
 Port of the famous gpSP emulator for PSP GP2X WIZ CAANOO SYMBIAN and
 many other plataforms. It is widely known for it's speed and compability.

## gpspm 1.36.5-2

=== debian/changelog ===
gpspm (1.36.5-2) unstable; urgency=low

  * Fixed up buttons
  * Fixed up dependencies

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 05:54:51 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)	-C	maemo
	#docbook-to-man debian/gpspm.sgml > gpspm.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE)	-C	maemo clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gpspm 2.0.0-1

=== pandora/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# GP2X port(ion) - Z

# Global definitions

PREFIX  = /scratchbox/users/maemo/targets/FREMANTLE_ARMEL/
CC        = /scratchbox/compilers/bin/arm-linux-gnueabi-gcc
STRIP     = strip

OBJS      = main.o cpu.o memory.u video.o input.o sound.o gui.o               \
            cheats.o zip.o cpu_threaded.z arm_stub.o video_blend.o            \
	    warm.o upscale_aspect.o scale2x.o gp2x.o pnd.o linux/fbdev.o linux/xenv.o
BIN       = gpspm

# Platform specific definitions 

VPATH      += ..
CFLAGS     += -DARM_ARCH -DARM_BUILD
#CFLAGS    += -g
# NOTE: -funroll-loops will slow down compiling considerably
# 		-fno-common was required to get games to start
#		-finline-functions breaks cpu_threaded.c
#		-fno-strength-reduce is needed to save time compiling
#                 cpu_threaded.c
#CFLAGS     += -O3 -std=c99 -msoft-float -funsigned-char -fno-common           \
#              -fstrength-reduce -falign-functions -fomit-frame-pointer        \
#              -ffast-math -fexpensive-optimizations -finline                  \
#              -fstrict-aliasing -finline-functions -fweb -fno-builtin

CFLAGS     += -O3 -std=c99 -msoft-float -funsigned-char -fno-common -fsigned-char             \
              -fbranch-probabilities -ffast-math -fstrict-aliasing -falign-functions=32       \
              -fno-builtin -mfpu=vfp -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8          \
              -fexpensive-optimizations -falign-loops -falign-labels -falign-jumps            \
              -mfloat-abi=softfp -mfpu=neon -fsigned-char -fvar-tracking -fomit-frame-pointer \
              -ftree-vectorize -ftree-vectorizer-verbose=2                                    \

#INCLUDES   = `/scratchbox/users/maemo/home/maemo/workspace/gpsp/SDL/bin/sdl-config --cflags` -I/scratchbox/users/maemo/home/maemo/workspace/gpsp/SDL//include
#LIBS       = `/scratchbox/users/maemo/home/maemo/workspace/gpsp/SDL/bin/sdl-config --libs`                \
#              -lm -ldl -lpthread -lasound -lz

INCLUDES   = `/scratchbox/users/maemo/targets/FREMANTLE_ARMEL/usr/bin/sdl-config --cflags` -I/scratchbox/users/maemo/targets/FREMANTLE_ARMEL/usr//include
LIBS       = `/scratchbox/users/maemo/targets/FREMANTLE_ARMEL/usr//bin/sdl-config --libs`  -I/scratchbox/users/maemo/targets/FREMANTLE_ARMEL/usr//lib              \
               -lm -ldl -lpthread -lasound -lz -lSDL -lSDL_haa -lsprig -lEGL -lX11 -lGLESv2

#LIBS       += -static

#SDL_LIBS=-L/scratchbox/users/maemo/home/maemo/workspace/gpsp/SDL//lib -Wl,-rpath,/scratchbox/users/maemo/home/maemo/workspace/gpsp/SDL//lib -lSDL -lpthread -ldl -lasound -lm
#SDL_CFLAGS=-I/scratchbox/users/maemo/home/maemo/workspace/gpsp/SDL//include/SDL -D_GNU_SOURCE=1 -D_REENTRANT

# Compilation:

.SUFFIXES: .c

%.z: %.c
	$(CC) $(CFLAGS) $(NO_OPT_FLAGS) $(INCLUDES) -c -o $@ $<

%.u: %.c
	$(CC) $(CFLAGS) $(NO_OPT_FLAGS) $(INCLUDES) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) $(OPT_FLAGS) $(INCLUDES) -c -o $@ $<

%.o: %.S
	$(CC) $(ASFLAGS) $(NO_OPT_FLAGS) $(INCLUDES) -c -o $@ $<

%.o: %.s
	$(CC) $(ASFLAGS) $(NO_OPT_FLAGS) $(INCLUDES) -c -o $@ $<

all:	$(OBJS)
	$(CC) -Wl,--allow-multiple-definition  $(OBJS) $(LIBS) -o $(BIN)
	$(STRIP) $(BIN)

clean:
	rm -f *.o *.u *.z $(BIN)

=== debian/changelog ===
gpspm (2.0.0-1) unstable; urgency=low

  * Fixed up actual build
  * Added GTK

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 22:27:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gpspm
 Architecture: armel
-Depends: libhildon-1, gpspgui
+Depends: libhildon1, gpspgui
 Description: gpSP GameBoyAdvance emulator
  Port of the famous gpSP emulator for PSP GP2X WIZ CAANOO SYMBIAN and
  many other plataforms. It is widely known for it's speed and compability.

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,6 @@
 	dh_install
 	dh_installdirs
 
-
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -67,8 +66,8 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
+	dh_install
+	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen

## gpspm 2.0.0-2

=== maemo/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# pandora port - notaz

# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o gui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
BIN       = gpspm

# Platform specific definitions 

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
CFLAGS     += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
CFLAGS     += -ggdb
CFLAGS     += -O2
CFLAGS     += -DMAEMO

# expecting to have PATH set up to get correct sdl-config first
CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1)
LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1)
LIBS       += -ldl -lpthread -lz 

# Compilation:

all:	$(BIN)

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN)

# ----------- release -----------


rel: gpsp gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
	rm -rf out
	mkdir out
	cp $^ out/

=== debian/changelog ===
gpspm (2.0.0-2) unstable; urgency=low

  * Fixed Build

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 22:27:51 +0200

## gpspm 2.0.1-3

=== debian/changelog ===
gpspm (2.0.1-3) unstable; urgency=low

  * refactoring

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 1 Dec 2011 12:27:51 +0200
 

## gpspm 2.0.1-4

=== maemo/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # gpSP makefile
 # Gilead Kutnick - Exophase
 # pandora port - notaz
+# maemo port - bonapart
 
 # Global definitions
 
 CC        = $(CROSS_COMPILE)gcc
 
-OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o gui.o \
+OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o mgui.o \
             cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
 BIN       = gpspm
 
@@ -26,7 +27,7 @@
 
 # Compilation:
 
-all:	$(BIN)
+all: $(BIN)
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c -o $@ $<
@@ -41,9 +42,15 @@
 
 # ----------- release -----------
 
+rel: $(BIN) gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
+	rm -rf out
+	mkdir out
+	strip $^
+	cp $^ out/
 
-rel: gpsp gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
+# ----------- debug -------------
+
+debug: $(BIN)
 	rm -rf out
 	mkdir out
 	cp $^ out/
-

=== debian/changelog ===
gpspm (2.0.1-4) unstable; urgency=low

  * speed ?

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 1 Dec 2011 14:27:51 +0200
 

## gpspm 2.0.1-5

=== debian/changelog ===
gpspm (2.0.1-5) unstable; urgency=low

  * Diablo image fix

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 2 Dec 2011 15:27:51 +0200
 

## gpspm 2.0.1-6

=== maemo/Makefile ===
--- 
+++ 
@@ -15,19 +15,18 @@
 
 VPATH      += .. ../arm
 CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
-CFLAGS     += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
 CFLAGS     += -ggdb
 CFLAGS     += -O2
-CFLAGS     += -DMAEMO
+CFLAGS     += -DDIABLO -DMAEMO
 
 # expecting to have PATH set up to get correct sdl-config first
-CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1)
-LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1)
+CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1 gtk+-2.0)
+LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1 gtk+-2.0)
 LIBS       += -ldl -lpthread -lz 
-
+LIBS+=-I/targets/DIABLO_X86/usr/include/c++/3.4/
 # Compilation:
 
-all: $(BIN)
+all: debug
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c -o $@ $<

=== debian/changelog ===
gpspm (2.0.1-6) unstable; urgency=low

  * Diablo image fix

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 2 Dec 2011 16:27:51 +0200
 

## gpspm 2.0.1-7

=== debian/changelog ===
gpspm (2.0.1-7) unstable; urgency=low

  * Diablo image fix

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 2 Dec 2011 17:27:51 +0200
 

## gpspm 2.0.1-8

=== maemo-gtk/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# pandora port - notaz
# maemo port - bonapart

# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = hildon-animation-actor.o maemo.o cpu.o memory.o video.o input.o sound.o mgui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
BIN       = gpspm

# Platform specific definitions 

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
CFLAGS     += -ggdb
CFLAGS     += -O2
CFLAGS     += -DDIABLO -DMAEMO

# expecting to have PATH set up to get correct sdl-config first
CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1 gtk+-2.0)
LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1 gtk+-2.0)
LIBS       += -ldl -lpthread -lz 
LIBS+=-I/targets/DIABLO_X86/usr/include/c++/3.4/
# Compilation:

all: debug

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN)

# ----------- release -----------

rel: $(BIN) gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
	rm -rf out
	mkdir out
	strip $^
	cp $^ out/

# ----------- debug -------------

debug: $(BIN)
	rm -rf out
	mkdir out
	cp $^ out/

=== maemo/Makefile ===
--- 
+++ 
@@ -8,25 +8,24 @@
 CC        = $(CROSS_COMPILE)gcc
 
 OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o mgui.o \
-            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
+            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o 
 BIN       = gpspm
 
 # Platform specific definitions 
-
 VPATH      += .. ../arm
 CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
+CFLAGS     += -mfloat-abi=softfp -ffast-math
 CFLAGS     += -ggdb
 CFLAGS     += -O2
-CFLAGS     += -DDIABLO -DMAEMO
+CFLAGS     += -DMAEMO
 
 # expecting to have PATH set up to get correct sdl-config first
-CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1 gtk+-2.0)
-LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1 gtk+-2.0)
-LIBS       += -ldl -lpthread -lz 
-LIBS+=-I/targets/DIABLO_X86/usr/include/c++/3.4/
-# Compilation:
+CFLAGS     += `sdl-config --cflags`
+LIBS       += `sdl-config --libs`
+LIBS       += -ldl -lpthread -lz
 
-all: debug
+
+all: $(BIN)
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c -o $@ $<

## gpspm 2.0.1-9

=== pandora/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# pandora port - notaz

# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = pnd.o main.o cpu.o memory.o video.o input.o sound.o gui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o \
            linux/fbdev.o linux/xenv.o
BIN       = gpsp

# Platform specific definitions 

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
CFLAGS     += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
CFLAGS     += -ggdb
CFLAGS     += -O2

# expecting to have PATH set up to get correct sdl-config first
CFLAGS     += `sdl-config --cflags`
LIBS       += `sdl-config --libs`
LIBS       += -ldl -lpthread -lz

# Compilation:

all:	$(BIN) picorestore

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN) picorestore

# ----------- release -----------

PND_MAKE ?= $(HOME)/dev/pnd/src/pandora-libraries/testdata/scripts/pnd_make.sh

rel: gpsp gpsp.sh gpsp.pxml gba_icon.png picorestore readme.txt ../game_config.txt ../COPYING.DOC
	rm -rf out
	mkdir out
	cp $^ out/
	$(PND_MAKE) -p gpsp.pnd -d out -x out/gpsp.pxml -i out/gba_icon.png -c

=== debian/changelog ===
gpspm (2.0.1-9) unstable; urgency=low

  * Virtual kbd for n800

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 30 Dec 2011 10:27:51 +0200
 

gpspm (2.0.1-8) unstable; urgency=low

  * SDL for fremantle&amp;diablo

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 17 Dec 2011 10:27:51 +0200
 

=== debian/control ===
Source: gpspm
Section: non-user
Priority: extra
Maintainer: Roman Deninberg <bonapart@programist.ru>
Build-Depends: debhelper (>= 5), pkg-config, libhildon1-dev, libasound2-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: gpspm
Architecture: armel
Depends: ${shlibs:Depends}
Description: gpSP GameBoyAdvance emulator
 Port of the famous gpSP emulator for PSP
 It is widely known for it's speed and compability.
XSBC-Homepage: http://notaz.gp2x.de/
XSBC-Bugtracker: http://notaz.gp2x.de/
XB-Maemo-Display-Name: GBA emulator-gpSP
XB-Maemo-Icon-26:
 MB5!.1PT*&@H````-24A$4@```#`````P"`````!R::9;````"7!(67,```L2
 M```+$@'2W7[\```#Q$E$051(B>55RVY=11"LZIESSGWX/OT.D(!-`@@<"9`2
 MA458L.`/8,]?\`DLV?$%K&"%@P0(6"""B(@BB(/!<2(9)\;)#2:VSWV>F6X6
 M-T_#QCL$LQQ5=:FZIVMH.-R10^+_GP1_R+:2AYV#WWA`A9GA80$"!H`PDC#`
 M`,8Y/J97.I+=C!S#3DS8^ETG3PRV^P^*^+#L"3("V;'CW>O')BON.0.H:MJN
 MR%2D3!3]O1LGVE>O[42#@`2`YLNG7G#[J[\G4>$`%MV2F`Y]%4"DB$T\M>36
 MKZQ>WRF626N^\T:K<^G'W5IB-#.`HT'9*8=2B@*`9!A,O[+4[/WZ_LHYTMY[
 M\^+*YBA)HIE*DB0B;A0`2"E"S<*P$&*`QL+BXC?OGO.&KR_]D:69!4"F)[T#
 M[H]3QTZ[6SD79B[O_G"AW8-Y-/H33:H!B/.5[R,.#,;DU69N[6?77-F&A42/
 M^6,]LW'[T_Y*//A6S+\HD)^O[4L$I^OJ40Y&#5X`P,\IH22@$*@8:.(-[.6.
 M-,;,/#*C3<QU]L1(U(Q(@JJE;B12)&I&4<)3M4]6*N*94KNMLU_>J`D$#1JF
 MIISSL^N79\^LNU&_$P5$ER5]>_&CK;+SXD/Y^?3.DT]?W4S`!JR7'2VW@E]I
 M')T;_%:7KA/%Z"5_X?3K7YW],''>)5HZG4MK9E-%T`!D:BAKS5)S-+M9-*-O
 M"%WOM;<"MG[)KM([GXC+E]NGKWS7]20;1"MT!/NPN=M&B6EF,'WFVV3A_,>M
 MM;(7[\CBIDF^615`Z@3`2&<"V,#J"LN+B<_.#,^W;M_,'.DIQDKWDV&-P8$-
 M9Z"M]A*1R*"+[4)BE\G>YR;.I=$,WA,FPQW)Q$AI.`-XLH":CZ%:BZ!N`PF,
 M,`/,/`!&/;6_K5$@=6\`6@"II$:`42#F*-0"'!-,XL:1I84O!I395`$\NJ8,
 MSB")F1D`-3]2`BZ_&"^&280K<A_,>_M-+9R8&D$`@\+GO;I9.%G=K:]%5_ST
 M]Q!AZD`Q,,*D4WB[/I\&=REK3Q8&EL#'X08@!D)-5;(_;WN/C>1XI5PJMC<J
 M:5XSZ&,:),'=D0S,.3_87H400%*=F6^7)0Q]W6>IYP,14PU%&.Z9=^CO;&WW
 M)"P38V_UF=FI"F*@<UX\`2`&C1H-WJ'7N74K!^B+9:;C8AJ2VN1TJYH(S,9]
 M)2@&+?*[G3MYX06`[WUZP"-8K:3EU`M@&D:#8;?_J"<?EOT'#[$P,X7!.4<"
 M&F,@!?>B%0"DOW3X]"[^^9X'X^8^_M`*_\)/\;]`^`LV\=XH^E$_$@````!)
 '14Y$KD)@@@"D
 `

## gpspm 3.1.1-1

=== maemo/Makefile ===
# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = maemo.o main.o cpu.o memory.o video.o input.o sound.o gui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o
BIN       = gpspm

# Platform specific definitions

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -DMAEMO_BUILD -Wall
CFLAGS     += -O2

# Expecting to have PATH set up to get correct sdl-config first

CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1)
LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1)
LIBS       += -ldl -lpthread -lz

# Compilation

all: $(BIN)

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN)

=== debian/changelog ===
gpspm (3.1.1-1) unstable; urgency=low

  * Added a mute button to the pause menu
  * Fixed some crashes when loading zipped ROMs

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 01 Mar 2013 21:20:05 +0100

gpspm (3.1.0-1) unstable; urgency=low

  * Configuration directory moved to $HOME/.config/gpspm/
  * Added an option to specify keys configuration file
  * Revamped the command line interface and fixed crashes when parsing a malformed list of arguments
  * Rearranged the order of keys in the configuration file
  * Fixed immediately disappearing error reports

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 24 Feb 2013 23:27:45 +0100

gpspm (3.0.2-1) unstable; urgency=low

  * Try to load BIOS from ROM's directory
  * Added a pause menu activated with a key or by swiping from screen's left edge to the right edge
  * Added an option to autopause when the screen is locked or focus is lost
  * Added a key to show FPS

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 21 Feb 2013 00:06:59 +0100

gpspm (3.0.1-1) unstable; urgency=low

  * Improved the way in which image is scaled and positioned for portrait mode
  * Center of the directional pad releases directional keys
  * Fixed an incompatibility with gpspmgui due to a missing symlink
  * Fixed opening ROMs specified by a relative path
  * Upgrading no longer resets key bindings
  * Adjusted file permissions so that gpspmgui works after an upgrade without any additional steps

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 29 Dec 2012 20:11:50 +0100

gpspm (3.0-1) unstable; urgency=low

  * Refreshed/rewritten the whole port
  * Added touch controls
  * Added portrait mode
  * Savestate is saved in ROM's directory

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 29 Dec 2012 05:29:53 +0100

## gpspm 3.1.3-1

=== debian/changelog ===
gpspm (3.1.3-1) unstable; urgency=low

  * Added support for NEON scalers

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 24 Mar 2013 18:55:39 +0100

## gpspm 3.1.4-1

=== debian/changelog ===
gpspm (3.1.4-1) unstable; urgency=low

  * Zoom keys can be used in the control scheme
  * Fixed flaky handling of diagonal keys

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 04 Oct 2013 22:32:53 +0200

## gpspm 3.1.5-1

=== gp2x/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# GP2X port(ion) - Z

# Global definitions

PREFIX    ?= /opt/open2x/gcc-4.1.1-glibc-2.3.6
CC        = $(PREFIX)/bin/arm-open2x-linux-gcc
STRIP     = $(PREFIX)/bin/arm-open2x-linux-strip

OBJS      = main.o cpu.o memory.u video.o input.o sound.o gp2x.o gui.o        \
            cheats.o zip.o cpu_threaded.z arm_stub.o video_blend.o            \
            warm.o upscale_aspect.o
ifeq ($(WIZ),1)
OBJS      += pollux_dpc_set.o
BIN       = gpsp_wiz
else
BIN       = gpsp_gp2x
endif

-include Makefile.local

# Platform specific definitions 

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DGP2X_BUILD
ifeq ($(WIZ),1)
CFLAGS     += -DWIZ_BUILD
endif
# NOTE: -funroll-loops will slow down compiling considerably
CFLAGS     += -O3 -std=c99 -msoft-float -funsigned-char -fno-common           \
              -fno-builtin -Wall                                              \

INCLUDES   = `$(PREFIX)/bin/sdl-config --cflags` -I$(PREFIX)/include
LIBS       = `$(PREFIX)/bin/sdl-config --libs`               \
              -lm -ldl -lpthread -lz
ifneq ($(WIZ),1)
LIBS       += -static
endif

# Compilation:

.SUFFIXES: .c

all:    $(BIN)

cpu.o cpu_threaded.z: CFLAGS += -Wno-unused-variable -Wno-unused-label

%.z: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<

%.u: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<

%.o: %.S
	$(CC) $(ASFLAGS) $(INCLUDES) -c -o $@ $<

%.o: %.s
	$(CC) $(ASFLAGS) $(INCLUDES) -c -o $@ $<

$(BIN):	$(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)
	$(STRIP) $(BIN)

clean:
	rm -f *.o *.u *.z $(BIN)

=== maemo/Makefile ===
--- 
+++ 
@@ -3,13 +3,15 @@
 CC        = $(CROSS_COMPILE)gcc
 
 OBJS      = maemo.o main.o cpu.o memory.o video.o input.o sound.o gui.o \
-            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o
+            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o \
+            neon_scale2x.o neon_scale3x.o neon_eagle2x.o
 BIN       = gpspm
 
 # Platform specific definitions
 
 VPATH      += .. ../arm
 CFLAGS     += -DARM_ARCH -DPND_BUILD -DMAEMO_BUILD -Wall
+CFLAGS     += -mfpu=neon
 CFLAGS     += -O2
 
 # Expecting to have PATH set up to get correct sdl-config first

=== debian/changelog ===
gpspm (3.1.5-1) unstable; urgency=low

  * Camera key can be used in the control scheme
  * Pause menu has a button to invoke the task switcher

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 16 Oct 2013 02:11:44 +0200

=== debian/control ===
Source: gpspm
Section: user/games
Priority: extra
Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, libhildon1-dev, libsdl1.2-dev
Standards-Version: 3.8.4
Homepage: http://notaz.gp2x.de/

Package: gpspm
Architecture: armel
Depends: ${shlibs:Depends}
Breaks: gpspmgui (<< 3.1)
Description: Game Boy Advance emulator
 This is a Maemo port of the famous gpSP emulator for PSP.
 It is fast (smooth even at 250 MHz), can be controlled with keyboard,
 accelerometer or touch screen, and supports portrait mode.
XSBC-Maemo-Display-Name: gpSP
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=80545
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) -C maemo
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -C maemo clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
#	dh_installmime
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## gpspm 3.1.6-1

=== debian/changelog ===
gpspm (3.1.6-1) unstable; urgency=low

  * Allow D-pad diagonals to cancel each other out
  * Fixed accelerometer input in portrait mode
  * More sophisticated accelerometer handling
  * Configurable accelerometer options

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 15 Dec 2013 22:58:23 +0100

## gpspm 3.1.7-1

=== debian/changelog ===
gpspm (3.1.7-1) unstable; urgency=low

  * 100% battery-friendly pause
  * Improved autopause reliability
  * Fixed (or at least made VBA-like) day of week reporting in RTC

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 18 Apr 2014 14:08:54 +0200
